libname nu '/folders/myfolders';

data nutri;
set nu.nutrition;
run;

/* 1 */
data nutri;
set nutri;
if BMI_baseline < 14 then BMI_cat = 1;
if 14 <= BMI_baseline < 19 then BMI_cat = 2;
if 19 <= BMI_baseline < 23 then BMI_cat = 3;
if BMI_baseline >= 23 then BMI_cat = 4;
run;

proc format;
value bmi
1='Under_weight' 2='Normal_weight' 3='Over_weight' 4='Obese';
run;

data nutri;
set nutri;
format BMI_cat bmi.;
run;

/* 2 */
data nutri1;
set nutri;
BMI_change = BMI_endline - BMI_baseline;
run;

proc freq data=nutri;
table BMI_cat;
run;

proc means data=nutri n nmiss mean std;
run;

/* 3 */
proc ttest data=nutri h0=16.86;
var BMI_baseline;
run;
/* Comments */
/* 1. we will use sample t-test
2. Null Hypothesis = as per the test results we will reject the null hypothesis 
h0 != 16.86
Ha = 16.86
3. Mean 	   95% CL Mean 	       Std Dev 	  95% CL Std Dev
  22.7695 	22.2998 23.2391 	   2.3547 	 2.0662 	2.7377
4. DF 	t Value 	Pr > |t|
   98 	24.97 	    <.0001
5.Reject the null hypothesis as the mean baseline BMI of 10 year old girl is not equal to 16.86.
*/

/* 4 */
proc ttest data=nutri1;
paired BMI_baseline*BMI_change BMI_endline*BMI_change BMI_baseline*BMI_endline;
run;
/* Comments */
/* 1. we will use paired t-test
2. Null Hypothesis = as per the test results we will accept the null hypothesis 
h0 = Bmi_endline
Ha != Bmi_endline
3. Mean 	  95% CL Mean 	Std Dev 	95% CL Std Dev
 -0.1402 	-0.4067 0.1264 	 1.3365 	1.1728 	1.5539
4. DF 	t Value 	Pr > |t|
   98 	-1.04 	     0.2993
5.Accept the null hypothesis as there is actually no relationship between the BMI_baseline and BMI_endline
*/

